import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../shared/base-api-template-service.model';
import { FinancialEcomsyncItemContainerModel } from '../../../../../../models/aggregates/erp/financial';
import { ApiVisa, BasicApiResponseModel } from '../../shared';
import { Observable } from 'rxjs';
export declare class FinancialEcomsyncItemService extends BaseApiTemplateService<FinancialEcomsyncItemContainerModel> {
    readonly url: string;
    constructor(http: HttpClient);
    getLines(guid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getLinesByGuid(guid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getLinesPromise(guid: string, visa: ApiVisa): Promise<BasicApiResponseModel<any>>;
    getLinesByGuidPromise(guid: string, visa: ApiVisa): Promise<BasicApiResponseModel<any>>;
    putEcomsyncItemExt(dto: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    putEcomsyncItemExtPromise(dto: any, visa: ApiVisa): Promise<BasicApiResponseModel<any>>;
}
